package com.platform.yijia.pojo;

import lombok.Data;

/***
 * 云闪付回调接收参数实体类
 */
@Data
public class YunPayCallBack {

    private String attach;                  //附加数据，原样返回
    private String channel_trade_no;        //通道订单号，微信订单号、支付宝订单号等
    private String end_time;                //支付完成时间，yyyyMMddHHmmss，全局统一时间格式
    private String key_sign;                //签名字符串,拼装所有必传参数+令牌，32位md5加密转换
    private String merchant_name;           //商户名称
    private String merchant_no;             //商户号
    private String out_trade_no;            //利楚唯一订单号
    private String pay_type;                //支付方式， 010 微信， 020 支付宝， 060 qq钱包， 080 京东钱包， 090 口碑， 100 翼支付
    private String pay_time;                //当前支付终端交易时间，yyyyMMddHHmmss，全局统一时间格式，与pay_trace同时传递
    private String receipt_fee;             //实收金额， pay_type为010、020、090时必填
    private String pay_trace;               //当前支付终端流水号，与pay_time同时传递，返回时不参与签名
    private String result_code;             //业务结果： 01 成功 ， 02 失败

    private String return_code;             //响应码： 01 成功 ， 02 失败，响应码仅代表通信状态，不代表业务结果
    private String return_msg;              //返回信息提示，“签名失败”，“参数格式校验错误"等
    private String terminal_id;             //终端号
    private String terminal_time;           //终端交易时间，yyyyMMddHHmmss，全局统一时间格式（01时参与拼接）
    private String terminal_trace;          //终端流水号，此处传商户发起预支付或公众号支付时所传入的交易流水号

    private String total_fee;               //金额，单位分
    private String user_id;                 //付款方用户id，“微信openid”、“支付宝账户”、“qq号”等

}
